### Method

# AppStream Artifact add_location

#### Declaration [src]

    void
    as_artifact_add_location (
      AsArtifact* artifact,
      const gchar* location
    )

#### Description [src]

Adds a artifact location.

#### Parameters

`location`

  Type: `const gchar*`

  An URL of the download location.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.